<?php
require_once 'Pashua.php';

// create a configuration instance
$c = new PashuaConfiguration();
$c->setWindowTitle('Pashua example');
$c->setTransparency(0.75);

// create an image
$i = new PashuaImage('pear');
$i->setLabel('http://pear.php.net');
$i->setTooltip('Cool packages by crazy people');
$i->setPath('pear-power.gif');

// and some radio buttons
$p = new PashuaRadiobutton('favorite');
$p->setLabel('What\'s your favorite Math package?');
$p->setTooltip('Yes, a *Math* package');
$p->addOption('Math_Matrix');
$p->addOption('Math_Stats');
$p->addOption('Math_Histogram');
$p->addOption('Math_Vector');
$p->addOption('Math_Quaternion');
$p->addOption('Math_Fibonacci');
$p->addOption('Math_Integer');
$p->addOption('Math_Complex');
$p->setDefault('Math_Quaternion');

// finally a login dialog
$phish = new PashuaText('phish');
$phish->setText('PEAR login?');
$u = new PashuaTextfield('username');
$u->setLabel('Username:');
$u->setTooltip('Trust me, put your PEAR username');
$u->setWidth(120);
$w = new PashuaPassword('password');
$w->setLabel('Password:');
$w->setTooltip('Hey!, you trusted me with your username already, didn\'t you?');
$w->setWidth(120);

// add all the items to the configuration
$c->addElement($i);
$c->addSeparator();
$c->addElement($p);
$c->addSeparator();
$c->addElement($phish);
$c->addElement($u);
$c->addElement($w);

// create the dialog and get the user input
$e = new Pashua();
$e->setConfiguration($c);
$ret = $e->run();

// do something with the user input
var_dump($ret);
?>
